####################################################
########## MODELING FILE                 ###########
####################################################
# Modified by Ariela Vergara
# Homology modeling by the automodel class
from modeller import *              # Load standard Modeller classes
from modeller.automodel import *    # Load the automodel class

log.verbose()                       # request verbose output
env = environ()                     # create a new MODELLER environment to build this model in
env.io.atom_files_directory = './:'      # directories for input atom files
env.io.hetatm = True                # read HETATM records (for Na Cl SRT ions)
env.io.water = True                 # read HETATM records (for water)

################################
# define the modeling parameters
class mymodel(automodel):
    def special_restraints(self, aln):
        self.rename_segments (segment_ids=('A','B','C','D'),renumber_residues=(214,214,214,214))

        rsr = self.restraints
        at = self.atoms
	# Restraints for secondary structure
 	# (includes all helices defined in original pdb; modifiable)
	#rsr.add(secondary_structure.alpha(self.residue_range('44:A', '54:A')))
			
	# Restrains for subtrates
	
	
    def user_after_single_model(self):
        self.rename_segments (segment_ids=('A','B','C','D'),renumber_residues=(214,214,214,214))

a = mymodel(env,
              alnfile  = 'alignment_tetramer.pir', # alignment filename
              knowns   = ('template_tetramer_align'), # codes of templates
              sequence = ('Shaker_tetramer'))  # code of the target

a.starting_model= 1  # index of the first model
a.ending_model  = 1  # index of the last model (determines how many models to calculate)
a.deviation = 5.0    # deviation in models
#a.md_level = refine.very_slow
a.make()
