# sab june 06
#
# A module that defines sets of homology models

# ($ref_hash) = &modelset_hash::def_hmsets() ; # homology model sets

use strict;

use lib "${ENV}SCR/modules/";

package   modelset_hash;
require   Exporter;
my @ISA = qw (Exporter);
my @EXPORT = qw (def_hmsets);

sub def_hmsets {

my %hmsets = (
	0   =>	'modeller_clust_loops_1d_profile',
	1   =>	'modeller_clust_loops_family_o10e0.05',
	2   =>	'modeller_clust_loops_family_o10e0.1',
	3   =>	'modeller_clust_loops_family_o10e0.2',
	4   =>	'modeller_clust_loops_family_o10e0.5',
	5   =>	'modeller_clust_loops_family_o10e1',
	6   =>	'modeller_clust_loops_family_o12e1',
	7   =>	'modeller_clust_loops_family_o9e0.1',
	8   =>	'modeller_clust_loops_family_ss4',
	9   =>	'modeller_clust_loops_msa_o10e0.1',
	10  =>	'modeller_clust_loops_msa_o10e1',
	11  =>	'modeller_clust_loops_msa_o11e0.1',
	12  =>	'modeller_clust_loops_msa_o11e1',
	13  =>	'modeller_clust_loops_msa_o12e0.1',
	14  =>	'modeller_clust_loops_msa_o12e1',
	15  =>	'modeller_clust_loops_msa_o15e0.1',
	16  =>	'modeller_clust_loops_msa_o15e1',
	17  =>	'modeller_clust_loops_msa_o20e0.1',
	18  =>	'modeller_clust_loops_msa_o20e1',
	19  =>	'modeller_clust_loops_msa_o9e0.1',
	20  =>	'modeller_clust_loops_msa_o9e1',
	21  =>	'modeller_clust_loops_pw_o10e0.1',
	22  =>	'modeller_clust_loops_pw_o11e0.1',
	23  =>	'modeller_clust_loops_pw_o12e1',
	24  =>	'modeller_clust_loops_pw_o20e1',
	25  =>	'modeller_clust_loops_pw_ss4',
	26  =>	'modeller_clust_loops_pw_o10e1',
	27  =>	'modeller_clust_loops_pw_o11e1',
	28  =>	'modeller_clust_loops_pw_o12e0.1',
	29  =>	'modeller_clust_loops_pw_o15e0.1',
	30  =>	'modeller_clust_loops_pw_o15e1',
	31  =>	'modeller_clust_loops_pw_o20e0.1',
	32  =>	'modeller_clust_loops_pw_o9e0.1',
	33  =>	'modeller_clust_loops_pw_o9e1',
	34  =>	'modeller_hmap_loops_1d.g',
	35  =>	'modeller_hmap_loops_1d.gl',
	36  =>	'modeller_hmap_loops_1d.l',
	37  =>	'modeller_hmap_loops_1d.lg',
	38  =>	'modeller_hmap_loops_1d.sl',
	39  =>	'modeller_hmap_loops_3d.g',
	40  =>	'modeller_hmap_loops_3d.gl',
	41  =>	'modeller_hmap_loops_3d.l',
	42  =>	'modeller_hmap_loops_3d.lg',
	43  =>	'modeller_hmap_loops_3d.sl',
	44  =>	'modeller_mpalign-blosum_loops',
	45  =>	'modeller_mpalign-fulltm_loops',
	46  =>	'modeller_mpalign-tmdet_loops',
	47  =>	'modeller_muscle_loops',
	48  =>	'modeller_probcons_loops',
	49  =>	'modeller_ska_loops',
	50  =>	'modeller_tcoffee_loops',
	51  =>	'modeller_stam-auto_loops',
	52  =>	'modeller_structal_loops',
	53  =>	'nest_ska_loops',
	54  =>	'test_mod7v7',
	55  =>	'scap_ska_loops',
	56	=>	'modeller_hmap_loops_das_3d.g',
	57	=>	'modeller_hmap_loops_das_3d.gl',
	58	=>	'modeller_hmap_loops_das_3d.lg',
	59	=>	'modeller_hmap_loops_das_3d.sl',
	60	=>	'modeller_hmap_loops_das+ss_3d.g',
	61	=>	'modeller_hmap_loops_das+ss_3d.gl',
	62	=>	'modeller_hmap_loops_das+ss_3d.lg',
	63	=>	'modeller_hmap_loops_das+ss_3d.sl',
	64	=>	'modeller_hmap_loops_dssp_3d.g',
	65	=>	'modeller_hmap_loops_dssp_3d.gl',
	66	=>	'modeller_hmap_loops_dssp_3d.lg',
	67	=>	'modeller_hmap_loops_dssp_3d.sl',
	68	=>	'modeller_hmap_loops_hmmtop_3d.g',
	69	=>	'modeller_hmap_loops_hmmtop_3d.gl',
	70	=>	'modeller_hmap_loops_hmmtop_3d.lg',
	71	=>	'modeller_hmap_loops_hmmtop_3d.sl',
	72	=>	'modeller_hmap_loops_hmmtop+ss_3d.g',
	73	=>	'modeller_hmap_loops_hmmtop+ss_3d.gl',
	74	=>	'modeller_hmap_loops_hmmtop+ss_3d.lg',
	75	=>	'modeller_hmap_loops_hmmtop+ss_3d.sl',
	76	=>	'modeller_hmap_loops_phdhtm_3d.g',
	77	=>	'modeller_hmap_loops_phdhtm_3d.gl',
	78	=>	'modeller_hmap_loops_phdhtm_3d.lg',
	79	=>	'modeller_hmap_loops_phdhtm_3d.sl',
	80	=>	'modeller_hmap_loops_phdhtm+ss_3d.g',
	81	=>	'modeller_hmap_loops_phdhtm+ss_3d.gl',
	82	=>	'modeller_hmap_loops_phdhtm+ss_3d.lg',
	83	=>	'modeller_hmap_loops_phdhtm+ss_3d.sl',
	84	=>	'modeller_hmap_loops_predtmbb-n_3d.g',
	85	=>	'modeller_hmap_loops_predtmbb-n_3d.gl',
	86	=>	'modeller_hmap_loops_predtmbb-n_3d.lg',
	87	=>	'modeller_hmap_loops_predtmbb-n_3d.sl',
	88	=>	'modeller_hmap_loops_predtmbb-n+ss_3d.g',
	89	=>	'modeller_hmap_loops_predtmbb-n+ss_3d.gl',
	90	=>	'modeller_hmap_loops_predtmbb-n+ss_3d.lg',
	91	=>	'modeller_hmap_loops_predtmbb-n+ss_3d.sl',
	92	=>	'modeller_hmap_loops_predtmbb-p_3d.g',
	93	=>	'modeller_hmap_loops_predtmbb-p_3d.gl',
	94	=>	'modeller_hmap_loops_predtmbb-p_3d.lg',
	95	=>	'modeller_hmap_loops_predtmbb-p_3d.sl',
	96	=>	'modeller_hmap_loops_predtmbb-p+ss_3d.g',
	97	=>	'modeller_hmap_loops_predtmbb-p+ss_3d.gl',
	98	=>	'modeller_hmap_loops_predtmbb-p+ss_3d.lg',
	99	=>	'modeller_hmap_loops_predtmbb-p+ss_3d.sl',
	100	=>	'modeller_hmap_loops_proftmb_3d.g',
	101	=>	'modeller_hmap_loops_proftmb_3d.gl',
	102	=>	'modeller_hmap_loops_proftmb_3d.lg',
	103	=>	'modeller_hmap_loops_proftmb_3d.sl',
	104	=>	'modeller_hmap_loops_proftmb+ss_3d.g',
	105	=>	'modeller_hmap_loops_proftmb+ss_3d.gl',
	106	=>	'modeller_hmap_loops_proftmb+ss_3d.lg',
	107	=>	'modeller_hmap_loops_proftmb+ss_3d.sl',
	108	=>	'modeller_hmap_loops_tmdet_3d.g',
	109	=>	'modeller_hmap_loops_tmdet_3d.gl',
	110	=>	'modeller_hmap_loops_tmdet_3d.lg',
	111	=>	'modeller_hmap_loops_tmdet_3d.sl',
	112	=>	'modeller_hmap_loops_tmdet+ss_3d.g',
	113	=>	'modeller_hmap_loops_tmdet+ss_3d.gl',
	114	=>	'modeller_hmap_loops_tmdet+ss_3d.lg',
	115	=>	'modeller_hmap_loops_tmdet+ss_3d.sl',
);

return (\%hmsets);

};
